Subject: Adoption poll for draft-grmas-bfd-rfc5884-clarifications (ends December 12, 2014)

From: Jeffrey Haas <[email-masked]>
Date: Tue, 25 Nov 2014 19:50:02 -0500

Working Group,

Clarifications to RFC 5884, draft-grmas-bfd-rfc5884-clarifications, was
presented at IETF-91 in Honolulu and was positively received.  We'd like to
ask the Working Group whether we should formally adopt this draft as a
Working Group item.

Please indicate your support or lack thereof to the mail list by 
December 12, 2014.  

Also, please supply feedback to the authors.  I believe the perception of
this document is that it's very nearly complete and thus should have a short
lifetime prior to publication as an RFC.

-- Jeff & Nobo.

---

From: Sam Aldrin <[email-masked]>
Date: Tue, 25 Nov 2014 16:57:37 -0800

Support the adoption.
Important piece of work and very much needed.

-sam

---

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Wed, 26 Nov 2014 01:28:49 +0000

Dear MPLS WG,

As agreed at IETF91, we would like to keep the MPLS WG involved with draft-grmas-bfd-rfc5884-clarifications.

The document clarifies the procedures of BFD on MPLS. If this topic is of your interest, please do read and provide comments.

Note, the WG adoption poll for draft-grmas-bfd-rfc5884-clarifications was just kicked off today (and ends on Dec. 12, 2014).

Thanks!

-Nobo and Jeff

> -----Original Message-----
> From: Rtg-bfd [mailto:[email-masked]] On Behalf Of Jeffrey Haas
> Sent: Tuesday, November 25, 2014 7:50 PM
> To: [email-masked]
> Subject: Adoption poll for draft-grmas-bfd-rfc5884-clarifications (ends
> December 12, 2014)
> 
> Working Group,
> 
> Please indicate your support or lack thereof to the mail list by December 12,
> 2014.
> 
> Also, please supply feedback to the authors.  I believe the perception of this
> document is that it's very nearly complete and thus should have a short

---

From: "MALLIK MUDIGONDA (mmudigon)" <[email-masked]>
Date: Wed, 26 Nov 2014 04:00:29 +0000

Hi,

I fully support the adoption of this draft as a WG item.

Thanks

Regards
Mallik

From: Jeffrey Haas <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, 26 November 2014 6:20 am
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Adoption poll for draft-grmas-bfd-rfc5884-clarifications (ends December 12, 2014)

Working Group,

-- Jeff & Nobo.

---

From: Santosh P K <[email-masked]>
Date: Wed, 26 Nov 2014 05:36:30 +0000

I do support adaption of this draft as WG document. This has clarified few things which are not clear in RFC 5884. 

Thanks
Santosh P K  

> Sent: Wednesday, November 26, 2014 6:20 AM
> To: [email-masked]

---

From: "Srihari Raghavan (srihari)" <[email-masked]>
Date: Wed, 26 Nov 2014 05:46:25 +0000

Fully support the adoption, as one of the implementors of the base draft.

Thanks
Srihari

On 26/11/14 6:58 am, "Nobo Akiya (nobo)" <[email-masked]> wrote:

>The document clarifies the procedures of BFD on MPLS. If this topic is of
>your interest, please do read and provide comments.
>
>Note, the WG adoption poll for draft-grmas-bfd-rfc5884-clarifications was
>just kicked off today (and ends on Dec. 12, 2014).
>
>Thanks!
>
>-Nobo and Jeff
>
>>December 12,

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 26 Nov 2014 06:01:45 +0000

yes/support
As WG discussion started at IETF-90 meeting demonstrated, community would benefit from detailed explanation of how BFD over MPLS LSP can be used in ECMP environment.

	Regards,
		Greg

-----Original Message-----
From: Rtg-bfd [mailto:[email-masked]] On Behalf Of Jeffrey Haas
Sent: Tuesday, November 25, 2014 4:50 PM
To: [email-masked]
Subject: Adoption poll for draft-grmas-bfd-rfc5884-clarifications (ends December 12, 2014)

Working Group,

Clarifications to RFC 5884, draft-grmas-bfd-rfc5884-clarifications, was presented at IETF-91 in Honolulu and was positively received.  We'd like to ask the Working Group whether we should formally adopt this draft as a Working Group item.

Please indicate your support or lack thereof to the mail list by December 12, 2014.  

Also, please supply feedback to the authors.  I believe the perception of this document is that it's very nearly complete and thus should have a short lifetime prior to publication as an RFC.

-- Jeff & Nobo.

---

From: Marc Binderberger <[email-masked]>
Date: Tue, 25 Nov 2014 23:42:56 -0800

Hello Jeff et al.,

hmm. I'm not against the adoption of this draft as a workgroup draft but - 
and I hope I don't step on anybodies toes - the draft seems to be in an early 
stage. Nor can I see much of a discussion on this list about the topic.

There are for sure some interesting aspects. If enough people consider the 
BFD session removal as relevant for RFC5884 then we have a good reason as a 
workgroup to move on. I have my doubts about the multiple session per <FEC, 
LSP> as I don't see how you tackle ECMP without multiple <LSP>. In other 
words while section 2.1 may be a correct procedure for multiple BFD sessions 
I wonder what problem you try to solve? Maybe this needs more discussion.

Long story short: while I can see this draft becoming a workgroup draft I 
find the poll - well - premature.

Regards, Marc

---

From: "Vengada Prasad Govindan (venggovi)" <[email-masked]>
Date: Thu, 27 Nov 2014 12:54:53 +0000

Hello Marc,
 Thank you for the note, please see replies inline marked with GVP1>. I would be happy to discuss further comments you may have regarding the draft.
Thanks
Prasad

-----Original Message-----
From: Rtg-bfd [mailto:[email-masked]] On Behalf Of Marc Binderberger
Sent: Wednesday, November 26, 2014 1:13 PM
To: Jeffrey Haas
Cc: [email-masked]
Subject: Re: Adoption poll for draft-grmas-bfd-rfc5884-clarifications (ends December 12, 2014)

Hello Jeff et al.,

hmm. I'm not against the adoption of this draft as a workgroup draft but - and I hope I don't step on anybodies toes - the draft seems to be in an early stage. Nor can I see much of a discussion on this list about the topic.

There are for sure some interesting aspects. If enough people consider the BFD session removal as relevant for RFC5884 then we have a good reason as a workgroup to move on.
GVP1> The issue of BFD session removal at the egress is one of the issues that the draft attempts to clarify. But more importantly clarifying the mechanisms for establishing and maintaining multiple sessions per <FEC, LSP> is the main motivation. Please see next point as well.

 I have my doubts about the multiple session per <FEC, LSP> as I don't see how you tackle ECMP without multiple <LSP>. In other words while section 2.1 may be a correct procedure for multiple BFD sessions I wonder what problem you try to solve? Maybe this needs more discussion.
GVP1> There are no new problems that this draft attempts to solve. In particular, no claim is made to solve the problem of connectivity/ fault monitoring for ECMP paths. However, the draft provides clarifies the mechanisms to establish multiple sessions for the <FEC, LSP> already specified in RFC5884. Some implementations assumed the presence of only one session per <FEC, LSP> partly due to the notion that discriminators cannot be changed after a session was established. This draft was an attempt at clarifying these (mis)understandings.  Please note that the concept of establishing multiple sessions to (possibly) track non-congruent paths was outlined in RFC5884 itself. 
---snip from RFC5884---
   If there are multiple alternate paths from an ingress LSR to an
   egress LSR for an LDP IP FEC, LSP Ping traceroute MAY be used to
   determine each of these alternate paths.  A BFD session SHOULD be
   established for each alternate path that is discovered.
---snip from RFC5884---

Regards, Marc

---

From: Jeffrey Haas <[email-masked]>
Date: Fri, 28 Nov 2014 13:45:24 -0500

Marc,

> find the poll - well - premature.

The poll is for adoption.  The document is done when it is done.  It's my
personal expectation that its life in draft form is short, not the WG's.

If you have feedback that suggests need for additional work, that's exactly
the kind of thing I'm suggesting you contribute!

-- Jeff

---

From: Jeffrey Haas <[email-masked]>
Date: Fri, 28 Nov 2014 14:43:37 -0500

The chairs would like to take this opportunity to remind everyone that if
you have IPR on this Internet-draft - or any other draft - to disclose it as
soon as possible.

-- Jeff & Nobo